function [ImageSizeCube, RefPixelCube, RotScaleCube] = ...
    Read_CoordParam_fits( List )
% Read_DataCube_fits Read filename from list txt list
%   Usage [ImageSize, RefPixel, RotScale, DataCube]= Read_DataCube_fits( List )



if exist(List,'file') ~= 2
    error('\n Error: List file %s does not exist ... \n aborting...',List);
  
end

fplist=fopen(List);
theList=textscan(fplist,'%s');
fclose(fplist);

s=size(theList{1});
sn=s(1);


ImageSizeCube=zeros(2,sn);
RefPixelCube=zeros(2,sn);
RotScaleCube=zeros(2,2,sn);

debug=0;

for nimage=1:sn
    [ImageSizeCube(:,nimage),RefPixelCube(:,nimage),...
        RotScaleCube(:,:,nimage)]=...
        fitsRead_TRvalue(char(theList{1}(nimage)) , debug );
end






end


