function [ TP ] = newCoordinate( R,T,P )
% Determine the new coordinate based in a rotation, and translation 
%   Due I use round off number, one pixel has a range of [j-0.5 .. j+0.5] 
% P (x,y) is a  Integer point
% R rotation matrix
% T translation vector
%TP is an integer row vector point (round off)
%
%BH

[r,c]=size(P);
if c == 2
    P=P';
end
[r,c]=size(P);
P=P-0.5;

TP=round(R*P + T);

TP=TP';

end

