
%% load Image
[nameF,nF]=readList('Antenor_list.txt');


%[Dcube,newN]=Read_DataCube_fits(nameF,nF);

 [Dcube,newN]=Read_DataCube_fits(nameF,nF);
 [DofM,M]=diffOfMedian(Dcube);
  Mlog=log(M);
  % Normaliza [0,1]
  fact=1/(max(Mlog(:))-min(Mlog(:)));
  themin=min(Mlog(:))
   MlogNor=(Mlog-themin).*fact;
   
   figure(1)
   subplot(1,3,1);
   imshow(MlogNor); 
   title('Median Data Cube');
   c = colorbar('southoutside');
   c.Label.String = 'log';
   %% Imgae Threshold
   
   %probe 1st witj I> 0.65
   thresh=0.65;
   MlogNor_A=MlogNor>thresh;
    subplot(1,3,2);
   imshow(MlogNor_A); 
   t=sprintf('Threshold: %4.2f',thresh);
   title(t);
   c = colorbar('southoutside');
   c.Label.String = 'log';
   
   
   %% Morfological Operator 
   
   radius=2;
   morf_r2=strel('disk',radius);
   MlogNor_B=imopen( MlogNor_A,morf_r2);
   subplot(1,3,3);
   imshow(MlogNor_B); 
    t=sprintf('Morfoligical disk r=%d',radius);
   title(t);
   c = colorbar('southoutside');
   c.Label.String = 'binary';
   pause(5);
   %%  Blob
   theBlob=vision.BlobAnalysis('MinimumBlobArea',11,...
       'MaximumBlobArea',50);
   [objArea,objCentroid,bboxOut]=step(theBlob,MlogNor_B);
   delta=4;
   bboxOut_2(:,1)=bboxOut(:,1)-delta;
   bboxOut_2(:,2)=bboxOut(:,2)-delta;
   bboxOut_2(:,3)=bboxOut(:,3)+2*delta;
   bboxOut_2(:,4)=bboxOut(:,4)+2*delta;
   imgShape= insertShape(MlogNor,'rectangle',bboxOut_2,'Linewidth',2,'Color',[255 0 0]);
   
   % subplot(1,2,1);
  % imshow(imgShape);
   figure(2)
   numObj=numel(objArea);
   imshow(imgShape);
   delta2=10;
   nobj=1;
   textPos=round(objCentroid+delta2);
   imgSize=size(Mlog);
   xmax=imgSize(2);
   ymax=imgSize(1);
   for i=1:numObj
       if(textPos(i,1) > (xmax -50))
           textPos(i,1)=round(objCentroid(i,1)-(2*delta2));
       end
         if(textPos(i,2) > (ymax -20))
              textPos(i,2)=round(objCentroid(i,2)-(2*delta2));
         end
   end
   
   text_objstr = cell(numObj,1);
   for i=1:numObj
       text_objstr{i}=['P[' num2str(i,'%d') ']' ];
   end
   
   imgShapeText=insertText(imgShape,  textPos, text_objstr, ...
       'TextColor','yellow','FontSize',18,'BoxColor' ,[1 1 1],...
       'BoxOpacity',0);
   
   %imgShapeText=insertText(imgShape,  textPos, text_objstr, 'TextColor','yellow','FontSize',18);
   imshow(imgShapeText);
   %imgText = vision.TextInserter('P[%d]','Location',textPos,'Color',...
     %  [255 255 0],'FontSize',10);
   %imgShapeText=step(imgText,imgShape,nobj);
   %imshow(imgShapeText);
   
   
   
   
   %% Other
   %release(theBlob);
   %release(imgShapeText);
   
   
   fprintf('     Select 3 not colinial Points:\n');
   fprintf(' \t Op: P[j] Centrode\n');
   for i=1:numObj
       fprintf('\t [%d]: P%d (%6.2f, %6.2f)\n',i,i,objCentroid(i,1), objCentroid(i,2));
   end
       
   %% Slected Points
   selectedCentroid=zeros(3,2); % [xcoord,Ycoord]
   selectedPoint=[2,3,4];
   for i=1:3
       selectedCentroid(i,:)=objCentroid(selectedPoint(i,:));
   end
   
   
   
   
   