function [DataCube,deep] = ...
    Read_DataCube_fits(theList,sn )
%   Read the data ina a bidimentional fits files of the same field
%   Usage [DataCube, deep]=Read_DataCube_fits(names)
%
%
%
%BH Mayo 2021


ImageSizeCube=zeros(2,sn);

debug=0;

 [ImageSizeCube(:,1),~,~]=...
        fitsRead_TRvalue(char(theList{1}(1)) , debug );

DataCube=zeros( ImageSizeCube(1,1),   ImageSizeCube(2,1), sn);
DataCube(:,:,1)=fitsread(char(theList{1}(1)));
 
deep=1;
for nimage=2:sn
    deep=deep+1;
    [ImageSizeCube(:,deep),~,~]=...
        fitsRead_TRvalue(char(theList{1}(nimage)) , debug );
    if ImageSizeCube(1,deep) ~= ImageSizeCube(1,1)
        
        fprintf('Warning: the  image [%d] %s has differente  dimention\n', nimage, theList{1}(nimage));
        fprintf('Warning: Spected [%d X %d ]  and i see  [%d X %d ] \n', ...
           ImageSizeCube(1,1),   ImageSizeCube(2,1), ImageSizeCube(1,deep),  ImageSizeCube(2,deep));
         fprintf('Warning: Removed from the analysis....\n');
         deep=deep-1;
    elseif ImageSizeCube(2,nimage) ~= ImageSizeCube(2,1)
     
        fprintf('Warning: the  image  [%d]  %s has differente  dimention\n', nimage, theList{1}(nimage));
        fprintf('Warning: Spected [%d X %d ]  and i see  [%d X %d ] \n', ...
           ImageSizeCube(1,1),   ImageSizeCube(2,1), ImageSizeCube(1,deep),  ImageSizeCube(2,deep));
         fprintf('Warning: Removed from the analysis...\n');
         deep=deep-1;
    end

    DataCube(:,:,deep)=fitsread(char(theList{1}(nimage)));

end


